aboutsummaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorEelco Dolstra <edolstra@gmail.com>2022-04-19 12:09:12 +0200
committerEelco Dolstra <edolstra@gmail.com>2022-04-19 13:41:32 +0200
commit2016b7142ad1282981ad1505085fff0ac9c7d66c (patch)
treede2e3fd53e449af6db757ee461baa751366636d6 /tests
parentb529a4181444e0c52234b3900b89dc7994d5268f (diff)
Fix compilation, style fixes
Diffstat (limited to 'tests')
-rw-r--r--tests/flakes-run.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/tests/flakes-run.sh b/tests/flakes-run.sh
index c8035431c..88fc3e628 100644
--- a/tests/flakes-run.sh
+++ b/tests/flakes-run.sh
@@ -8,22 +8,22 @@ cd $TEST_HOME
cat <<EOF > flake.nix
{
outputs = {self}: {
- packages.$system.PkgAsPkg = (import ./shell-hello.nix).hello;
- packages.$system.AppAsApp = self.packages.$system.AppAsApp;
+ packages.$system.pkgAsPkg = (import ./shell-hello.nix).hello;
+ packages.$system.appAsApp = self.packages.$system.appAsApp;
- apps.$system.PkgAsApp = self.packages.$system.PkgAsPkg;
- apps.$system.AppAsApp = {
+ apps.$system.pkgAsApp = self.packages.$system.pkgAsPkg;
+ apps.$system.appAsApp = {
type = "app";
program = "\${(import ./shell-hello.nix).hello}/bin/hello";
};
};
}
EOF
-nix run --no-write-lock-file .#AppAsApp
-nix run --no-write-lock-file .#PkgAsPkg
+nix run --no-write-lock-file .#appAsApp
+nix run --no-write-lock-file .#pkgAsPkg
-! nix run --no-write-lock-file .#PkgAsApp || fail "'nix run' shouldn’t accept an 'app' defined under 'packages'"
-! nix run --no-write-lock-file .#AppAsPkg || fail "elements of 'apps' should be of type 'app'"
+! nix run --no-write-lock-file .#pkgAsApp || fail "'nix run' shouldn’t accept an 'app' defined under 'packages'"
+! nix run --no-write-lock-file .#appAsPkg || fail "elements of 'apps' should be of type 'app'"
clearStore